Thread: x11base change
View Single Post
Old 05-29-07, 05:11 AM   #7
flz
Registered User
 
Join Date: Oct 2006
Posts: 13
Default Re: x11base change

Quote:
Originally Posted by Ernest
What a mess with versions! Will review the whole story:

First I tried 1.0-9755 (last non-beta in nVidia site; worked for me on Xorg 6.9) and got build errors, AFAIK because of the LIBDIR --and perhaps DRIVEDIR-- path issue. Hence my caveat which I supposed applicable to all versions in this site, as seems confirmed by your experience with 100.14.06.

Then, my card being supported by last version in ports, 1.0-9746, I tried this one, supposedly patched to meet the new directory tree layout (quoting by heart, I misspelled it as 9674: forget this). Indeed it built fine, but:
(1) it doesn't work, as detailed in my second post -- may or may not be related to the x11 base change, as never tried this version before; and
(2) reviewing the Makefiles after your advice, apparently there are path issues still to fix, but changing (some of) these by hand didn't make much better: driver builds but still doesn't work.

Other reports of success or failure will help to understand if this is just an issue of mine or there is something broken -- here and/or in ports.
You messed something up. You're most likely using xorg-server libglx.so with nvidia-driver, which is why you got this "No NVIDIA compatible glx extension" error.
flz is offline   Reply With Quote